(function() {
	var app = new Vue({
		el: '#app',
		data: {
			phone: "15680680562",
			password: "abc123"
		},
		methods: {
			openWindow: function(target) {
				mui.openWindow({
					url: target,
					id: target,
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				});
			},
			goRegister:function(){
				app.openWindow("register.html");
			},
			login: function() {
				if(app.phone == "" || app.phone == null || app.phone == undefined) {
					mui.alert("请输入手机号");
					return;
				}
				var zphone = /^1(3|4|5|7|8)\d{9}$/;
				if(zphone.test(app.phone)) {
					/*NetUtil.ajax("appRegister/isRegister.do", {
						mobile: app.phone
					}, function(data) {
						localStorage.setItem("toIndexPhoneNumber", app.phone);
						if(data.resCode == 1) { //存在
							//app.openWindow("login.html");
						} else if(data.resCode == 0) { //不存在
							app.openWindow("register.html");
						} else {
							mui.alert(data.resDesc);
						}
					});*/
				} else {
					mui.alert("请输入正确的手机号码", "输入错误", "确定", function() {
						app.phone = "";
					});
				}
				
				/*密码*/
				
				var zpassword = /^[a-zA-Z][a-zA-Z0-9\!\@\#\$\%\^\&\*\(\)]{5,19}$/;
				if(!zpassword.test(app.password)) {
					mui.alert("请输入正确的密码！");
					return false;
				}
				NetUtil.ajax("appLogin/login.do", {
					memberNameAccount: app.phone,
					password: hex_sha1(app.password)
				}, function(r) {
					if(r.resCode == 0) { //页面跳转
						localStorage.setItem("memberId", r.data.memberId);
						localStorage.setItem("token", r.data.token);
						localStorage.setItem("phoneNumber", app.phone);
						app.openWindow("../main/tab-webview-main.html");
					} else {
						mui.alert(r.resDesc, "登录失败");
					}
				});
			},
			forget: function() {
				app.openWindow("../../web/LoginRegister/forgetPWD.html");
			}
		},
		created: function() {
			//this.phone = localStorage.getItem("toIndexPhoneNumber");
		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {

			});
		}
	});
}());