(function() {
	var $j = jQuery.noConflict(true);
	var app = new Vue({
		el: '#app',
		data: {
			list: []
		},
		filters: {
			toFixed2: function(num) {
				var res = parseFloat(num).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
				return res;
			}
		},
		methods: {
			openWindow: function(target, data) {
				targetid = target;
				mui.openWindow({
					url: target,
					id: targetid,
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {
						data: data
					},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				});
			},
			toBillHistory: function() {
				app.openWindow("billHistory.html");
			},
			toRepayment: function(data) {
				app.openWindow("repayment.html", data);
			},
			prepayment: function(data) {
				var target = "prepayment.html?loanId=" + data.memberLoanId + "&repayId=" + data.repayId;
				mui.openWindow({
					url: target,
					id: "prepayment.html",
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				});
			}
		},
		created: function() {
			function queryBill() {
				NetUtil.ajax("bill/billDetail.do?newDate="+Date.parse(new Date()), {}, function(r) {
					app.list = r.data;
					//本期账单
					app.list.forEach(function(data) {
						data.theCurrentBill = 0;
						data.theCurrentBill += parseFloat(data.thisTermAmount); //本金
						//data.theCurrentBill += parseFloat(data.sDRepayInterest); //利息  利息开局就收了
						if(data.isOverDue == 1) {
							data.theCurrentBill += parseFloat(data.overdueInterest); //逾期利息
							data.theCurrentBill += parseFloat(data.demurrage); //逾期罚金						
						}
					});
				});
			}
			queryBill();
			window.addEventListener("queryBill", function() {
				console.log("刷新了");
				queryBill();
			});

		},
		mounted: function() {
			mui.init({
				keyEventBind: {
					backbutton: true //打开back按键监听
				},
				statusBarBackground: "#fff"
			});
			mui.ready(function() {
				mui.back = function() {
					var btn = ["退出", "取消"];
					mui.confirm("是否退出？", '提示', btn, function(e) {
						if(e.index == 0) {
							plus.runtime.quit(); //退出APP
						}
					});
					throw "不关闭窗体";
				}
			});
		},
		updated: function() {
			var swiper = new Swiper('.swiper-container', {
				nextButton: '.swiper-btn-next',
				prevButton: '.swiper-btn-prev',
				paginationClickable: true,
				spaceBetween: 30
			});
		}
	});
}());