(function() {
	var $j = jQuery.noConflict(true);		
	var app = new Vue({
		el: '#app',
		data: {
			showPay: false,
			freeTicketsChoose: 0,
			amountAll: {
				extentionRate: 0,
				paySum: 0
			},
			obj:{},
			extensionDeadline:''
		},
		filters: {
			toFixed0: function(num) {
				var res = parseFloat(num).toFixed(0).replace(/\d(?=(\d{3})+$j)/g, '$&,');
				return res;
			},
			toFixed2: function(num) {
				var res = parseFloat(num).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
				return res;
			}
		},
		methods: {
			GetQueryString : function(name) {
				var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
				var r = window.location.search.substr(1).match(reg);
				if(r != null) return unescape(r[2]);
				return null;
	        },
			pay: function() {
				var mask = mui.createMask(function() {
					app.showPay = false;
				}); //callback为用户点击蒙版时自动执行的回调；
				mask.show();
				this.showPay = true;
				document.getElementById("cancel").addEventListener("tap", function(e) {
					mask.close();
					app.showPay = false;
				});
			},
			prePay: function() {
				var amount = parseFloat($j("#d_3").text()) + parseFloat($j("#d_2").text());
				var extensionDeadline = $j("#timeLength").val(); // 展期时间
				var repayDate = $j("#d_5").text();  //本该还款时间
				var extensionInterest = $j("#d_3").text();
				var extensionMngFee = $j("#d_2").text();
				var lastRepayDay = $j("#d_1").text();
				var memberLoanId = app.GetQueryString("id");
	            var repayId = app.GetQueryString("repayId");
				mui.openWindow({
					url: "lianlianpayPre.html?memberLoanId="
					          + memberLoanId + "&repayId=" + repayId + "&memberId=" + localStorage.memberId
					          + "&type=3&overDueInterest=0&overdueFine=0&amount=" + amount 
					          +"&extensionDeadline="+extensionDeadline+"&repayDate="+repayDate +"&extensionInterest="+extensionInterest
					          +"&extensionMngFee="+extensionMngFee +"&lastRepayDay="+lastRepayDay,
					styles: {
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true  
						title: '正在加载...' //等待对话框上显示的提示内容
					}
				});
			},
			showData:function(d) {
				$j("#d_1").html(d.lastPayTime);
				$j("#d_2").html(Number(d.extentionsFee).toFixed(2));
				$j("#d_3").html(Number(d.extentionRate).toFixed(2));
				$j("#d_4").html(Number(d.paySum).toFixed(2));
			},
			countFee:function(f) {
				app.extensionDeadline = $j("#timeLength").val();
				var memberLoanId = app.GetQueryString("id");
	            var repayId = app.GetQueryString("repayId");
				NetUtil.ajax("bill/calExtentionByLoanId.do", {
					memberLoanId: memberLoanId,
					extensionDeadline: app.extensionDeadline
				}, function(r) {
					app.showData(r.data);
					/*app.amountAll = {
						extentionRate: r.data.extentionRate,
						paySum: r.data.paySum
					};
					f();*/
				});
			},
			countMMM:function() {
				var numA = Number(Number(app.amountAll.extentionRate) - Number($j(".freeT option:selected").attr("data"))).toFixed(2);
				/*如果展期利息大于免息券，则总价减去免息券使用金额 否则 总价减去展期利息*/
				var numC = Number($j(".freeT option:selected").attr("data"));

				var numB = (numA >= 0) ? (Number(app.amountAll.paySum) - numC) : (Number(app.amountAll.paySum) - Number(app.amountAll.extentionRate));
				$j("#d_4").html(numB);
			},
			countFreeT:function() { //计算并赋值显示免息券选择内容
				app.freeTicketsChoose = Number($j(".freeT option:selected").attr("data") == "null" ? 0 : $j(".freeT option:selected").attr("data")).toFixed(2);
				if($j(".freeT option:selected").attr("value") == "-1") {
					tp.html(op);
				} else {
					tp.html("¥" + $j(".freeT option:selected").attr("data"));
				}
			},
			submitQue:function(){
				$j("#submit").css("pointer-events", "none");
				if($j("input[type='checkbox']:checked").length == 0) {
					mui.alert("请阅读并同意" + $j("#xieyi").text() + "！");
					$j("#submit").css("pointer-events", "auto");
					return;
				} else {
					$j("#submit").css("pointer-events", "auto");
					app.pay();
				}
			}
		},
		created: function() {
			var memberLoanId = this.GetQueryString("id");
			var repayId = this.GetQueryString("repayId");
			NetUtil.ajax("personalcredit/inRepayment.do", { //查询还款中的贷款详情
				memberLoanId: memberLoanId,
				repayId: repayId
			}, function(r) {
				app.obj = {
					id: r.data.loanNo, //编号
					memberId: r.data.memberId, //会员id
					loanDays: r.data.deadline, //贷款期限
					loanMoney: Number(r.data.loanAmount).toFixed(2), //贷款金额
					serviceFee: Number(r.data.mngFeeAmount).toFixed(2), //贷款服务费
					loanRate: Number(r.data.loanRate).toFixed(2), //贷款利率
					loanRateMoney: Number(r.data.sDRepayInterests).toFixed(2), //贷款利息
					hasReturnBaseMoney: Number(r.data.repayPrincipals).toFixed(2), //已还本金
					hasReturnRateMoney: Number(r.data.repayInterests).toFixed(2), //已还利息
					inReturnBaseMoney: Number(r.data.loanAmount).toFixed(2), //应还本金
					inReturnRateMoney: Number(r.data.sDRepayInterests).toFixed(2), //应还利息
					overdueFine: Number(r.data.repayOverdue).toFixed(2), //逾期罚金
					overdueRateMoney: Number(r.data.repayOverdueInterest).toFixed(2), //逾期利息
					latestReturnDate: r.data.repayMaxTime, //最迟应还时间
					applyDate: r.data.recordDate, //申请时间
					payDate: r.data.holdDate, //放款时间
					backDate: r.data.checkDate, //打回时间
					backReason: r.data.checkRemark, //打回原因
					endDate: r.data.loanEndDate, //结清时间
					endType: 0, //结清方式  0：正常结清   1：提前结清   2：逾期结清
					status: 0, //项目状态  0：还款中  1：已结清   2：已打回   3：审核中/申请中
					extensionStatus: 3 //展期状态  0：未支付  1：已支付  2：已取消  3:未展期 
				};

				var op = "";
				var tp = $j("#tickets").parent();

				NetUtil.ajax("friend/tickets.do", {
					useStatu: 0,
					pageSize: 1000,
					pageNum: 0
				}, function(r) {
					var tickets = [];
					$j.each(r.data, function(index, value) {
						if(value.useStatu == 0 && value.isOverdue == 0) {
							tickets.push(value);
						}
					});
					$j("#tickets").text(tickets.length);
					var hml = "<select class='freeT'><option value='-1' data='0'>不使用免息券</option>";
					$j.each(tickets, function(index, value) {
						hml += "<option value='" + value.freeTicketsId + "' data='" + value.amount + "'>¥" + value.amount + " 有效期至" + value.endDate + "</option>";
					});
					hml += "</select>";
					$j("#tickets").parent().parent().append(hml);
					if(tickets.length == 0) {
						$j(".freeT").hide();
					}
					op = $j("#tickets").parent().html();
					$j(".freeT").on("change", function() {
						app.countFreeT();
						app.countMMM();
					});
					app.countMMM();
				});

				NetUtil.ajax("index/proInfo.do", {}, function(r) {
					var html = "<option value='" + 7 + "'>" + 7 + "天</option>";
					$j("#timeLength").html(html);
					app.countFee(function() {
						return;
					});
					$j("#timeLength").on("change", function() {
						app.countFee(function() {
							app.countFreeT();
							app.countMMM();
						});
					});
				});
				
			});
		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui('.mui-scroll-wrapper').scroll({
				deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
			});
			document.getElementById("xieyi").addEventListener("click", function() {
				var extensionDeadline = $j("#timeLength").val();
				var memberLoanId = app.GetQueryString("id");
				mui.openWindow({
					url: "extensionApplyAgreement.html?id=" + memberLoanId + "&day=" + extensionDeadline
				});
			});
		}
	});
}());