(function() {
	var $j = jQuery.noConflict(true);
	var app = new Vue({
		el: '#app',
		data: {
			info: null,
			showPay: false,
			ticketId: "",
			amount: "",
			ticketNum: 0
		},
		filters: {
			toFixed0: function(num) {
				var res = parseFloat(num).toFixed(0).replace(/\d(?=(\d{3})+$)/g, '$&,');
				return res;
			},
			toFixed2: function(num) {
				var res = parseFloat(num).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
				return res;
			}
		},
		methods: {
			toSelectTicket: function() {
				mui.openWindow({
					url: "../mine/freeTickets.html?select=select1",
					id: "../mine/freeTickets.html",
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				});
			},
			pay: function() {
				var mask = mui.createMask(function() {
					app.showPay = false;
				}); //callback为用户点击蒙版时自动执行的回调；
				mask.show();
				this.showPay = true;
				document.getElementById("cancel").addEventListener("tap", function(e) {
					mask.close();
					app.showPay = false;
				});
			},
			prePay: function() {
				var req = GetRequest();
				mui.openWindow({
					url: "lianlianpayPre.html?memberLoanId=" + req.loanId + "&freeTicketId=" + app.ticketId + "&repayId=" + req.repayId + "&memberId=" + localStorage.memberId + "&type=2&overDueInterest=0&overdueFine=0&amount=" + (parseFloat(app.info.residualAmount)).toFixed(2),
					styles: {
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true  
						title: '正在加载...' //等待对话框上显示的提示内容
					}
				});
			}
		},
		created: function() {
			NetUtil.ajax("friend/tickets.do", {
				useStatu: 0,
				pageSize: 10000,
				pageNum: 1
			}, function(r) {
				app.list = r.data;
				app.list.forEach(function(data) {
					if(data.useStatu == 0 && data.isOverdue == 0) {
						app.ticketNum += 1;
					}
				});
			});
			/*
			 * 根据选择的免息券显示免息券金额，保存免息券ID
			 */
			window.addEventListener("ticketSelected", function(event) {
				console.log("选择了免息券");
				app.ticketId = event.detail.tid;
				app.amount = event.detail.amount;
			});
		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {

			});
			mui.plusReady(function() {
				var req = GetRequest(); //获取贷款ID
				var stateSign = '';
				//				var nwaiting = plus.nativeUI.showWaiting(); //显示原生等待框
				NetUtil.ajax("personalcredit/prepaymentDetail.do", {
					memberLoanId: req.loanId,
					repayId: req.repayId
				}, function(r) {
					//					nwaiting.close(); //新webview的载入完毕后关闭等待框
					app.info = r.data;
				});
				/*
				 * 连连代扣
				 * 刘佳
				 * 2017年3月9日10:18:30
				 */
				//				$j("#lianlianpayRealTime").on("tap", function() {
				//					if(stateSign == 0) {
				//						var btnArray = ['否', '是'];
				//						mui.confirm('您未签约，是否进行签约？', '提示', btnArray, function(e) {
				//							if(e.index == 1) {
				//								location.href = "../bill/LLcollectiontest.jsp?memberLoanId=" + r.data.memberLoanId + "&memberId=" + localStorage.memberId;
				//							} else {
				//
				//							}
				//						});
				//					} else {
				//						NetUtil.ajax("bill/collection.do", {
				//							memberLoanId: req.memberLoanId
				//						}, function(r) {
				//							console.log(r);
				//							if(r.data.code == '0000') {
				//								mui.alert('授权成功');
				//							} else if(r.data.code == '1') {
				//								mui.alert('授权失败，' + r.data.message);
				//							} else {
				//								mui.alert('授权失败，' + r.data.message);
				//							}
				//						});
				//					}
				//				});

				/*
				 * 银联在线支付
				 */
				//				$j("#unionpay").on("tap", function() {
				//					mui.openWindow({
				//						url: "../bill/unionpay.html?memberLoanId=" + r.data.memberLoanId + "&memberId=" + localStorage.memberId + "&type=2&overDueInterest=" + (Number(r.data.overdueInterest).toFixed(2)) + "&overdueFine=" + (Number(r.data.overdueFine).toFixed(2)) + "&amount=" + (r.data.sDRepayPrincipal + r.data.demurrage).toFixed(2),
				//						styles: {
				//							top: 0, //新页面顶部位置  
				//							bottom: 0 //新页面底部位置  
				//						},
				//						waiting: {
				//							autoShow: true, //自动显示等待框，默认为true  
				//							title: '正在加载...' //等待对话框上显示的提示内容
				//						}
				//					});
				//				});
			});
		}
	});
}());