(function() {

	var $j = jQuery.noConflict(true);
	var app = new Vue({
		el: '#app',
		data: {
			res: "",
			resDesc: ""
		},
		methods: {
			openWindow: function(target, targetid) {
				if(targetid == undefined) {
					targetid = target;
				}
				mui.openWindow({
					url: target,
					id: targetid,
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				});
			},
			toPersonal: function() { //个人资料
				if(app.res.isBlank == 0) {
					mui.alert(app.resDesc);
					return;
				}
				var target = "personalInfomation.html?isSatisfied=" + app.res.certificationAttestStatu + "&isImprovePersonalInfo=" + app.res.isImprovePersonalInfo;
				var targetid = 'personalInfomation.html';
				app.openWindow(target, targetid);
			},
			toName: function() { //实名认证
				if(app.res.isBlank == 0) {
					mui.alert(app.resDesc);
					return;
				}

//				if(app.res.isCertification == 3) {
//					mui.alert("实名认证已通过！");
//					return;
//				}
//				if(app.res.isImprovePersonalInfo == 0) {
//					mui.alert("请先完善个人资料！");
//					return;
//				}
				var target = "nameCertification.html?isCertification=" + app.res.isCertification + "&certificationAttestStatu=" + app.res.certificationAttestStatu;
				var targetid = 'nameCertification.html';
				if(app.res.certificationAttestStatu == 0) {
					mui.alert("资料审核中", function() {
						app.openWindow(target, targetid);
					});
				} else {
					app.openWindow(target, targetid);
				}

			},
			toBank: function() {
				if(app.res.isBlank == 0) {
					mui.alert(app.resDesc);
					return;
				}

				//银行卡认证
				if(app.res.bankStatus == 1) {
					mui.alert("银行卡认证已通过！");
					return;
				}
				app.openWindow("bankCard.html");
			},
			toAdress: function() { //通讯录认证
				if(app.res.isBlank == 0) {
					mui.alert(app.resDesc);
					return;
				}

				if(app.res.mobileDirectoryStatus == 1) {
					mui.alert("手机认证通讯录已通过！");
					return;
				}
				app.openWindow("adress.html");
			},
			toPhone: function() { //手机服务密码认证
				if(app.res.isBlank == 0) {
					mui.alert(app.resDesc);
					return;
				}

				if(app.res.isAuthorize4phone == -1) {
					mui.alert("正在认证！");
					return;
				}
				if(app.res.isAuthorize4phone == 1) {
					mui.alert("运营商数据查询已通过！");
					return;
				}
				app.openWindow("phoneAuthorize.html");
			},
			toZM: function() { //芝麻信用
				if(app.res.isBlank == 0) {
					mui.alert(app.resDesc);
					return;
				}

				if(app.res.isImprovePersonalInfo == 0) {
					mui.alert("请先完善个人资料！");
					return;
				}
				if(app.res.isAuthorize4zhima == 1) {
					mui.alert("芝麻信用授权已通过！");
					return;
				}
				var target = "sesameCredit.html?isAuthorize4zhimaEver=" + app.res.isAuthorize4zhimaEver;
				var targetid = 'sesameCredit.html';
				app.openWindow(target, targetid);
			},
			/*toJD: function() { //电商数据查询
				if(app.res.isBlank == 0) {
					mui.alert(app.resDesc);
					return;
				}

				if(app.res.isAuthorize4jingdong  == -1) {
					mui.alert("正在认证！");
					return;
				}
				if(app.res.isAuthorize4jingdong  == 1) {
					mui.alert("电商数据授权已通过！");
					return;
				}
				app.openWindow("jingdong.html");
			},*/
			toTB: function() { //淘宝授权
				if(app.res.isBlank == 0) {
					mui.alert(app.resDesc);
					return;
				}

				if(app.res.isAuthorize4taobao  == -1) {
					mui.alert("正在认证！");
					return;
				}
				if(app.res.isAuthorize4taobao  == 1) {
					mui.alert("淘宝授权已通过！");
					return;
				}
				app.openWindow("taobao.html");
			},
			toZX: function() {
				if(app.res.isBlank == 0) {
					mui.alert(app.resDesc);
					return;
				}
//				if(app.res.isAuthorize4zx == 1) {
//					mui.alert("征信认证已通过！");
//					return;
//				}
				if(app.res.authorize4zxAttestStatu == 0) {
					mui.alert("征信审核中");
					return;
				}
				app.openWindow("creditAuthorize.html");
			}
		},
		created: function() {
			mui.init({
				keyEventBind: {
					backbutton: true //打开back按键监听
				},
				statusBarBackground: "#fff"
			});

			mui.ready(function() {
				mui.back = function() {
					var btn = ["退出", "取消"];
					mui.confirm("是否退出？", '提示', btn, function(e) {
						if(e.index == 0) {
							plus.runtime.quit(); //退出APP
						}
					});
					throw "不关闭窗体";
				}

			});

			function quest() {
				NetUtil.ajax(
					"index/lineOfCredit.do", {},
					function(r) {
						app.res = r.data;
						app.resDesc = r.resDesc;
						//console.log(JSON.stringify(r))
					}
				);
			}
			quest();
			window.addEventListener("quest", function() {
				console.log("刷新成功！");
				quest();
			});
			window.setInterval(function() {
				quest();
			}, 30000); //每30s刷新一次数据
		},
		mounted: function() {

		}
	});
}());