(function() {
	var $j = jQuery.noConflict(true);
	var zpassword = /^[a-zA-Z][a-zA-Z0-9\!\@\#\$\%\^\&\*\(\)]{5,19}$/;
	var app = new Vue({
		el: '#app',
		data: {
			oldPWD: "",
			newPWD: "",
			surePWD: "",
			showNext: false
		},
		methods: {
			nextStep: function() {
				if(!zpassword.test(this.oldPWD)) {
					mui.alert("请输入正确的密码！");
					return false;
				}
				NetUtil.ajax("reset/checkOld.do", {
					oldPassword: hex_sha1(app.oldPWD)
				}, function(r) {
					if(r.resCode == 0) {
						app.showNext = true;
					} else {
						mui.alert("原密码不正确，请核对后重试");
					}
				});
			},
			sub: function() {
				if(!zpassword.test(this.newPWD)) {
					mui.alert("请输入6~20位密码，密码可由英文字母、阿拉伯数字以及特殊字符“!@#$%^&*()”组成，第一位必须为英文字母");
					return false;
				}
				if(this.surePWD != this.newPWD) {
					mui.alert("两次输入的密码不一致，请确认密码！");
					return false;
				}
				if(this.surePWD == this.oldPWD) {
					mui.alert("新密码与原密码相同，不能修改！");
					return false;
				}
				NetUtil.ajax("reset/modifyPwd.do", {
					personalPhone: localStorage.getItem("phoneNumber"),
					newPassword: hex_sha1(app.surePWD)
				}, function(r) {
					if(r.resCode == 0) {
						mui.alert(r.resDesc, "成功", "确定", function() {
							localStorage.removeItem("memberId");
							localStorage.removeItem("token");
							plus.runtime.restart();
						});
					} else {
						mui.alert(r.resDesc, "失败", "确定", function() {
							app.oldPWD="";
							app.newPWD="";
							app.surePWD="";
							app.showNext=false;
						});
					}
				});

			}
		},
		created: function() {

		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {

			});
		}
	});
}());
