(function() {
	var app = new Vue({
		el: '#app',
		data: {
			money: "",
			borrowNum: "",
			overdueNum: "",
			name: ""
		},
		methods: {
			openWindow: function(target, target2) {
				if(target2 == undefined) {
					target2 = target;
				}
				mui.openWindow({
					url: target,
					id: target2,
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				});
			},
			toSetting: function() {
				app.openWindow("setting.html");
			},
			toFriend: function() {
				app.openWindow("friendInvite.html");
			},
			toAccount: function() {
				app.openWindow("accountDetail.html");
			},
			toLoan: function() {
				app.openWindow("myLoan.html");
			},
			toLimit: function() {
				mui.fire(plus.webview.getWebviewById("../main/tab-webview-main.html"), "tolimit");
			},
		},
		created: function() {
			this.name = localStorage.getItem("memberId");
			NetUtil.ajax('personalcredit/getHead.do', {}, function(data) {
				if(data.data != "" && data.data != null && data.data != undefined) {
					$("#headPic img").attr("src", data.data);
				}
			});
			
		},
		mounted: function() {
			mui.init({
				keyEventBind: {
					backbutton: true //打开back按键监听
				},
				statusBarBackground: "#fff"
			});
			mui.ready(function() {
				mui.back = function() {
					var btn = ["退出", "取消"];
					mui.confirm("是否退出？", '提示', btn, function(e) {
						if(e.index == 0) {
							plus.runtime.quit(); //退出APP
						}
					});
					throw "不关闭窗体";
				};
				UploadImg("headPic", $("#headPic"), 1, $("#headPic").width(), $("#headPic").height());

			});
			mui.plusReady(function() {
				function queryInfo() {
					NetUtil.ajax("personalcredit/account.do", {}, function(r) {
						app.money = r.data.loanAmount;
						app.borrowNum = r.data.applyTotals;
						app.overdueNum = r.data.overDueTotals;
					});
				}
				window.addEventListener("queryInfo", function() {
					console.log("刷新了");
					queryInfo();
				});
				queryInfo();
			});
		}
	});
}());
var appPath = baseUrl;
var uploadConfig = {
	upsize: 0,
	upimagetype: "",
	upsofttype: "",
	upmediatype: ""
}

function getImage(filePicker, fileListObj, imgNum, imgWidth, imgHeight) { //拍照
	var c = plus.camera.getCamera();
	c.captureImage(function(e) {
		plus.io.resolveLocalFileSystemURL(e, function(e) {
			var s = e.toLocalURL() + "?version=" + new Date().getTime();
			uploadHead(s, filePicker, fileListObj, imgNum, imgWidth, imgHeight); /*上传图片*/
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(s) {
		console.log("error" + s);
	}, {
		filename: "_doc/head.png",
		format: "png"
	})
}
//本地相册选择 
function galleryImg(filePicker, fileListObj, imgNum, imgWidth, imgHeight) {
	plus.gallery.pick(function(a) {
		plus.io.resolveLocalFileSystemURL(a, function(entry) {
			plus.io.resolveLocalFileSystemURL("_doc/", function(root) {
				var headTitle = "head" + new Date().getTime() + ".png";
				root.getFile(headTitle, {}, function(file) {
					//文件已存在 
					file.remove(function() {
						console.log("file remove success");
						entry.copyTo(root, headTitle, function(e) {
								var path = e.fullPath + "?version=" + new Date().getTime();
								uploadHead(path, filePicker, fileListObj, imgNum, imgWidth, imgHeight); /*上传图片*/
								//变更大图预览的src 
								//目前仅有一张图片，暂时如此处理，后续需要通过标准组件实现 
							},
							function(e) {
								console.log('copy image fail:' + e.message);
							});
					}, function() {
						console.log("delete image fail:" + e.message);
					});
				}, function() {
					//文件不存在 
					entry.copyTo(root, headTitle, function(e) {
							var path = e.fullPath + "?version=" + new Date().getTime();
							uploadHead(path, filePicker, fileListObj, imgNum, imgWidth, imgHeight); /*上传图片*/
						},
						function(e) {
							console.log('copy image fail:' + e.message);
						});
				});
			}, function(e) {
				console.log("get _www folder fail");
			})
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(a) {}, {
		filter: "image"
	})
};
//上传图片 
function uploadHead(imgPath, filePicker, fileListObj, imgNum, imgWidth, imgHeight) {
	var image = new Image();
	image.src = imgPath;
	image.onload = function() {
		var imgData = getBase64Image(image);
		/*在这里调用上传接口*/
		NetUtil.ajax('upload/upload.do', {
				imageBase: imgData
			},
			function(data) {
				$("#headPic img").attr("src", data.data.sResultInfo + data.data.url);
				console.log(data.data.url)
				console.log(data.data.sResultInfo + data.data.url);
				NetUtil.ajax("personalcredit/head.do", {
					headUrl: data.data.url
				}, function(r) {
					mui.alert("头像修改成功！");
				});
			});
		return;
	}
}
//将图片压缩转成base64 
function getBase64Image(img) {
	var canvas = document.createElement("canvas");
	var width = img.naturalWidth;
	var height = img.naturalHeight;
	if(width < height) {
		height = Math.round(height *= 160 / width);
		width = 160;
	} else {
		width = Math.round(width *= 160 / height);
		height = 160;
	}
	canvas.width = 160; /*设置新的图片的宽度*/
	canvas.height = 160; /*设置新的图片的长度*/
	var ctx = canvas.getContext("2d");
	ctx.drawImage(img, 0, 0, width, height); /*绘图*/
	var dataURL = canvas.toDataURL("image/png", 0.92);
	return dataURL.replace("data:image/png;base64,", "");
}
/**
 * 图片上传公共方法
 * 选择图片对应id    filePicker 
 * 图片存放div对象  fileListObj
 * 图片上传个数限制   1或者其他 
 * 图片宽度		  imgWidth;			
 * 图片高度    	  imgHeight 	
 * 服务器返回路径保存的隐藏input元素的对象 inputObj 
 */
function UploadImg(filePicker, fileListObj, imgNum, imgWidth, imgHeight) {
	var piker = '#' + filePicker + '';
	$(piker).on("tap", function() {
		if(mui.os.plus) {
			var a = [{
				title: "拍照"
			}, {
				title: "从手机相册选择"
			}];
			plus.nativeUI.actionSheet({
				title: "设置头像",
				cancel: "取消",
				buttons: a
			}, function(b) { //actionSheet 按钮点击事件
				switch(b.index) {
					case 0:
						break;
					case 1:
						getImage(filePicker, fileListObj, imgNum, imgWidth, imgHeight); //拍照
						break;
					case 2:
						galleryImg(filePicker, fileListObj, imgNum, imgWidth, imgHeight); //打开相册
						break;
					default:
						break;
				}
			})
		}
	});
	return;
};