(function() {
	var $j = jQuery.noConflict(true);
	var app = new Vue({
		el: '#app',
		data: {
			list: null
		},
		methods: {
			loanDetail: function(id, obj) {
				//status:0 还款中 1已结清 2 已打回 3审核中 4 已逾期5待放款
				var status;
				if(obj.checkStatus == 0) {
					status = 3;
				} else if(obj.checkStatus == -1) {
					status = 2;
				} else if(obj.checkStatus == 1 && obj.memberLoanStatus == 1) {
					status = 5;
				} else if(obj.checkStatus == 1 && obj.memberLoanStatus == 2) {
					status = 0;
				} else if(obj.checkStatus == 1 && obj.memberLoanStatus == 3) {
					status = 1;
				} else if(obj.checkStatus == 1 && obj.memberLoanStatus == 4) {
					status = 4;
				}
				mui.openWindow({
					url: "myLoanDetail.html?loanId=" + id + "&status=" + status,
					id: 'myLoanDetail.html',
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				})
			}

		},
		created: function() {
			mui.plusReady(function() {
				var nwaiting = plus.nativeUI.showWaiting(); //显示原生等待框
				function reloadData() {
					NetUtil.ajax("personalcredit/myLoan.do", {
						pageSize: 10000,
						pageNum: 1,
						type: 0
					}, function(r) {
						console.log(JSON.stringify(r))
						nwaiting.close(); //新webview的载入完毕后关闭等待框
						if(r.data.length > 0) {
							app.list = r.data;
						}
					});
				}
				reloadData();
				window.addEventListener("reloadData", function() {
					console.log("刷新了");
					reloadData();
				});
			});
		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {
				mui('.mui-scroll-wrapper').scroll({
					deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
				});
			});
		},
		filters: {
			toFixed2: function(num) {
				var res = parseFloat(num).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
				return res;
			}
		}
	});
}());