(function() {
	var app = new Vue({
		el: '#app',
		data: {
			infos: null,
			status: ""
		},
		filters: {
			toFixed2: function(num) {
				var res = parseFloat(num).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
				return res;
			}
		},
		methods: {
			openWindow: function(target, targetid) {
				if(targetid == undefined) {
					targetid = target;
				}
				mui.openWindow({
					url: target,
					id: targetid,
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				});
			},
			lookAgree: function() {
				var req = GetRequest();
				var target = "loanContract.html?status=" + req.status + "&id=" + req.loanId;
				var targetId = "loanContract.html";
				this.openWindow(target, targetId);
			},
			gotoPlan: function(id) {
				var req = GetRequest();
				var target = "repaymentplan.html?id=" + req.loanId;
				var targetid = "repaymentplan.html";
				this.openWindow(target, targetid);
			},
			gotoDetail: function(id) {
				var req = GetRequest();
				var target = "repaymentdetail.html?id=" + req.loanId;
				var targetid = "repaymentdetail.html";
				this.openWindow(target, targetid);
			},
			gotoCert: function(id) {
				if(app.infos.infos==0){
					return;
				}
				var target = "../main/guarantorInformation.html?isExistEnsurePer=1&status=1";
				var targetid = "guarantorInformation.html";
				this.openWindow(target, targetid);

			},
			prepayment: function(id) {
				var req = GetRequest();
				var target = "../bill/prepayment.html?loanId=" + req.loanId+"&repayId="+this.infos.repayId;
				var targetid = "prepayment.html";
				this.openWindow(target, targetid);
			},
			repayment: function(data) {
				mui.openWindow({
					url: "../bill/repayment.html",
					id: "repayment.html",
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {
						data: data
					},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				});
			},
			upload: function() {
				var req = GetRequest();
				var files = "";
				$("#show1 .hidInput").each(function() {
					files += (files == "" ? "" : ";") + $(this).attr("value");
				});
				if(files == "") {
					mui.alert("您还没有选择附件！");
					return;
				}
				NetUtil.ajax("index/addLoanAttach.do", {
					memberLoanId: req.loanId,
					loanAttachs: files
				}, function(r) {
					if(r.resCode == 0) {
						mui.alert(r.resDesc, function() {
							mui.back();
						});
					} else {
						mui.alert(r.resDesc);
					}
				});
			}
		},
		created: function() {
			mui.plusReady(function() {
				var nwaiting = plus.nativeUI.showWaiting(); //显示原生等待框
				var req = GetRequest();
				app.status = req.status;
				NetUtil.ajax("personalcredit/everyTermLoanOld.do", {
					memberLoanId: req.loanId,
					status: req.status
				}, function(r) {
					console.log(JSON.stringify(r))
					nwaiting.close(); //新webview的载入完毕后关闭等待框
					app.infos = r.data;
				});
			});

		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			
			$(".mui-bar-transparent").on("alpha", function(evt) {
				var alpha = evt.detail.alpha;
				//当前获得标题栏透明度，而且是变化时触发
				if(alpha > 0.1) {
					$(".mui-title").css('color','#000');
					$(".mui-bar-transparent").css('background','#f7f7f7');
				}else{
					$(".mui-title").css('color','#fff');
				}
			});
		},
		updated: function() {
			UploadImg("choose1", $("#show1"), 12, 6.5 * Rem, 6.5 * Rem);
		}
	});
}());