(function() {
	var $j = jQuery.noConflict(true);
	var app = new Vue({
		el: '#app',
		data: {
			pageSize: 15,
			pageNum: 1,
			nomore: false,
			list: []
		},
		methods: {
			toDetail: function(id) {
				mui.openWindow({
					url: "../../web/mine/platformAnnouncementDetail.html?id=" + id,
					id: 'platformAnnouncementDetail.html',
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				})
			}
		},
		created: function() {

		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff",
				pullRefresh: {
					container: "#refreshBox", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
					down: {
						style: 'circle', //必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
						color: '#508CEE', //可选，默认“#2BD009” 下拉刷新控件颜色
						height: 50, //可选,默认50.触发下拉刷新拖动距离,
						auto: true, //可选,默认false.首次加载自动上拉刷新一次
						callback: function() {
							app.pageNum = 1;
							app.list = [];
							NetUtil.ajax("platAndus/list.do", {
								pageSize: app.pageSize,
								pageNum: app.pageNum
							}, function(r) {
								if(r.data.length < app.pageSize) {
									mui('#refreshBox').pullRefresh().disablePullupToRefresh();
								}
								app.list = r.data;
								app.list.forEach(function(item) {
									var oDiv = document.createElement("div");
									oDiv.innerHTML = item.content;
									item.content = oDiv.innerText.replace(/<.*?>/ig, "");
								});
								mui('#refreshBox').pullRefresh().endPulldownToRefresh();
								mui('#refreshBox').pullRefresh().refresh(true);
							});

						} //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
					},
					up: {
						height: 50, //可选.默认50.触发上拉加载拖动距离
						auto: false, //可选,默认false.自动上拉加载一次
						contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
						contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
						callback: function() {
							app.pageNum++;
							NetUtil.ajax("platAndus/list.do", {
								pageSize: app.pageSize,
								pageNum: app.pageNum
							}, function(r) {
								if(r.data.length < app.pageSize) {
									app.nomore = true;
								} else {
									app.list = app.list.concat(r.data);
									app.list.forEach(function(item) {
										var oDiv = document.createElement("div");
										oDiv.innerHTML = item.content;
										item.content = oDiv.innerText.replace(/<.*?>/ig, "");
									});
								}
								mui('#refreshBox').pullRefresh().endPullupToRefresh(app.nomore); //放在ajax加载完后
							});
						}
					}
				}
			});

			mui.ready(function() {

			});
		}
	});
}());