(function() {
	var $j = jQuery.noConflict(true);
	var app = new Vue({
		el: '#app',
		data: {
			list: null,
			infos: null,
			totalPage: "",
			currentPage: 0,
			swiper: ""
		},
		methods: {
			toPay: function(data) {
				mui.openWindow({
					url: "../bill/repayment.html",
					id: "../bill/repayment.html",
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {
						data: data
					},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				});
			}
		},
		created: function() {
			var req = GetRequest();
			mui.plusReady(function() {
				var nwaiting = plus.nativeUI.showWaiting(); //显示原生等待框
				NetUtil.ajax("personalcredit/loanRepayPlan.do", {
					memberLoanId: req.id
				}, function(r) {
					nwaiting.close(); //新webview的载入完毕后关闭等待框
					app.list = r.data;
					app.totalPage = app.list.length;
					app.infos = app.list[app.currentPage];
				});
			});

		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {

			});
		},
		filters: {
			toFixed2: function(num) {
				var res = parseFloat(num).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,');
				return res;
			},
			dateDay: function(d) {
				var arr = d.split(" ");
				return arr[0];
			}
		},
		updated: function() {
			var swiper = new Swiper('.swiper-container', {
				nextButton: '.swiper-btn-next',
				prevButton: '.swiper-btn-prev',
				paginationClickable: true,
				spaceBetween: 30,
				onTransitionEnd: function(swiper) {
					app.currentPage = swiper.activeIndex;
					app.infos = app.list[swiper.activeIndex];
					console.log(swiper.activeIndex) //切换结束时，告诉我现在是第几个slide
				}
			});
		}
	});
}());