(function() {
	var app = new Vue({
		el: '#app',
		data: {},
		methods: {
			openWindow: function(target, targetid) {
				if(targetid == undefined) {
					targetid = target;
				}
				mui.openWindow({
					url: target,
					id: targetid,
					styles: {
						popGesture: 'close',
						top: 0, //新页面顶部位置  
						bottom: 0 //新页面底部位置  
					},
					extras: {},
					createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						autoShow: true, //页面loaded事件发生后自动显示，默认为true
						aniShow: 'slide-in-right', //页面显示动画，默认为”slide-in-right“；
						duration: 200, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
						event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
						extras: {} //窗口动画是否使用图片加速
					},
					waiting: {
						autoShow: true, //自动显示等待框，默认为true
						title: '加载中', //等待对话框上显示的提示内容
						options: {
							//width:120,等待框背景区域宽度，默认根据内容自动计算合适宽度
							//height:100,等待框背景区域高度，默认根据内容自动计算合适高度
						}
					}
				});
			},
			toPassword: function() {
				app.openWindow('changePWD.html');
			},
			toPhone: function() {
				app.openWindow('changePhoneList.html');
			},
			toAboutUs: function() {
				app.openWindow('aboutUs.html');
			},
			toPlat: function() {
				app.openWindow('platformAnnouncement.html');
			},
			toQuestion: function() {
				app.openWindow('question.html');
			},
			toFeed: function() {
				app.openWindow('feedback.html');
			},
			logOut: function() {
				var btnArray = ['否', '是'];
				mui.confirm('您将要退出登录，是否确认退出？', '退出登录', btnArray, function(e) {
					if(e.index == 1) {
						localStorage.clear();
						plus.runtime.restart();
					}
				});
			}
		},
		created: function() {

		},
		mounted: function() {
			mui.init({
				statusBarBackground: "#fff"
			});
			mui.ready(function() {

			});
		}
	});
}());